#include <sys/stat.h>
#include <stdio.h>
#include <dirent.h>
#include <unistd.h>
#include <stdlib.h>

int main(int argc,char * argv[]){

	int i;
	struct stat buf;
	char *ptr;
	
	DIR *dp;
	struct dirent *dirp;
		


	if(argc!=2)
	{
		printf("myls usage: ls directory");
		exit(-1);
	}

	if(lstat(argv[1],&buf)<0)
	{
		printf("lstat error!\n");
		exit(2);
	}

	if(!S_ISDIR(buf.st_mode))
	{
		printf("Please input a directory!\n");
		exit(3);
	}
	
	dp = opendir(argv[1]);
	if(!dp) perror("open directory failure!\n");
	
	while((dirp = readdir(dp))!=NULL)
		printf("%s\t",dirp->d_name);

	printf("\n");
	closedir(dp);
}
